package cli

import (
	"database/sql"
	"errors"
	"fmt"
	"os/exec"
	"sevenkeys/logic"
)

var output string

func showOutput() {
	if output != "" {
		fmt.Println(output)
	}
}

func MainCliLoop(db *sql.DB) {
	var command string

	for {
		ShowSplashScreen()
		showStorageInfo()
		showSearchCriteria()
		showSelectedCard()
		showCopiesInserted()

		command = GetStringResponse("SEVENKEYS $")

		switch command {
		case "q", "quit":
			return
		case "l", "location":
			cardStorageLocation.StorageBox = GetStringResponse("Storage location:")
			break
		case "r", "source":
			cardStorageLocation.Source = GetStringResponse("Card source:")
			break
		case "n", "condition":
			cardStorageLocation.CardCondition = GetStringResponse("Card condition:")
			break
		case "c", "criteria":
			getSearchCriteria()
			break
		case "s", "search":
			getSearchOptions(db)

			var previousCardPrintingId = cardStorageLocation.CardPrintingId

			var err error
			cardStorageLocation.CardPrintingId, selectedCardPrintingSearchLine, err = logic.Search(searchOptions)
			var exitError *exec.ExitError
			if errors.As(err, &exitError) {
				break
			}
			logic.Check(err)

			output = ""
			if cardStorageLocation.CardPrintingId != previousCardPrintingId {
				copiesInserted = 0
			}
			break
		case "i", "insert":
			insertSelectedCard(db)
			break
		default:
			fmt.Println("Unrecognized command:", command)
			break
		}
	}
}
